summaryrefslogtreecommitdiffstats
path: root/jjb/yardstick
diff options
context:
space:
mode:
authorJo¶rgen Karlsson <jorgen.w.karlsson@ericsson.com>2015-10-02 09:16:57 +0200
committerFatih Degirmenci <fatih.degirmenci@ericsson.com>2015-10-18 15:10:11 +0000
commit4ae4ce3d2cb67424023937fd795596fcded997be (patch)
tree515ed041eb1a498f616aee6af154424d5e0ec2a5 /jjb/yardstick
parent97b881df09b4709380f1663901657dfe196c0a7d (diff)
Invoke yardstick docker image.
Change-Id: Idb5e3343f9a778618c8ced7a580aa6a7ce71db24 JIRA: YARDSTICK-136 Signed-off-by: Jo¶rgen Karlsson <jorgen.w.karlsson@ericsson.com>
Diffstat (limited to 'jjb/yardstick')
-rw-r--r--jjb/yardstick/yardstick.yml67
1 files changed, 13 insertions, 54 deletions
diff --git a/jjb/yardstick/yardstick.yml b/jjb/yardstick/yardstick.yml
index a9619032f..7d7a6b7b7 100644
--- a/jjb/yardstick/yardstick.yml
+++ b/jjb/yardstick/yardstick.yml
@@ -208,64 +208,23 @@
builders:
- shell: |
#!/bin/bash
- set -o errexit
- set -o pipefail
-
- echo "Yardstick: prepare Yardstick environment"
+ set -o errexit
+ set -o pipefail
- # source openstack vars
- if [[ ! -f $HOME/opnfv-openrc.sh ]]; then
- echo "Unable to access file $HOME/opnfv-openrc.sh"
- exit 1
- fi
- source $HOME/opnfv-openrc.sh
+ echo "Yardstick: Run benchmark test suites ..."
- # Emergency fix for glance '--is-public' error.
- # TODO: This should maybe go into openrc instead!?
- export OS_IMAGE_API_VERSION=1
+ # Make sure we have latest image
+ docker pull opnfv/yardstick-ci
- # Install required packages.
- # 'libguestfs-tools' is needed when building the yardstick image.
- sudo yum -y install libguestfs-tools
+ docker run \
+ --privileged=true \
+ --rm \
+ -t \
+ -e "INSTALLER_TYPE=${INSTALLER_TYPE}" \
+ -e "INSTALLER_IP=${INSTALLER_IP}" \
+ opnfv/yardstick-ci \
+ run_benchmarks
- # set virtualenv
- echo "Yardstick: setup virtualenv"
- cd $WORKSPACE
- virtualenv $WORKSPACE/yardstick_venv
- source $WORKSPACE/yardstick_venv/bin/activate
- easy_install -U setuptools
- python setup.py develop > /dev/null 2>&1
-
- echo "Yardstick: configure the images"
- # check if cirros-0.3.3 image is already available
- # if not, create the image
- IMAGE_NAMES[0]=cirros-0.3.3
- if ! nova image-show ${IMAGE_NAMES[0]} > /dev/null 2>&1; then
- echo "Image ${IMAGE_NAMES[0]} doesn't exist. Creating image ${IMAGE_NAMES[0]}"
- glance image-create --name cirros-0.3.3 --is-public true --disk-format qcow2 --container-format bare --file $HOME/yardstick/cirros-0.3.3-x86_64-disk.img
- fi
-
- # check if yardstick-trusty image is already available
- # if not, create the image to $WORKSPACE
- IMAGE_NAMES[1]=yardstick-trusty-server
- if ! nova image-show ${IMAGE_NAMES[1]} > /dev/null 2>&1; then
- echo "Image ${IMAGE_NAMES[1]} doesn't exist. Creating image ${IMAGE_NAMES[1]}"
- sudo $(which yardstick-img-modify) $WORKSPACE/tools/ubuntu-server-cloudimg-modify.sh
- glance image-create --name yardstick-trusty-server --is-public true --disk-format qcow2 --container-format bare --file $WORKSPACE/yardstick-trusty-server.img
- fi
-
- # execute tasks
- echo "Yardstick: execute scenarios"
- ./ci/run_tasks.sh
-
- # cleanup
- echo "Yardstick: cleanup"
- for IMAGE_NAME in ${IMAGE_NAMES[@]}
- do
- glance image-delete $IMAGE_NAME
- done
-
- # done
echo "Yardstick: done!"
- builder: